# json_object_private.h File Reference

## Data Structures

struct | json_object
union | json_object::data

## Typedefs

typedef void( | json_object_delete_fn )(struct json_object *o)
typedef int( | json_object_to_json_string_fn )(struct json_object *o, struct printbuf *pb, int level, int flags)

## Typedef Documentation

typedef void( json_object_delete_fn)(struct json_object *o)

typedef int( json_object_to_json_string_fn)(struct json_object *o, struct printbuf *pb, int level, int flags)